Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Notification Service
    • Overview
    • Getting started with mobile push notifications
    • Getting started with in-browser push notifications
    • Getting started with SMS
    • Getting started with topics
    • Overview
    • Mobile push notifications
    • In-browser push notifications
    • SMS
    • Topics
    • Quotas and limits
    • All tools
    • AWS CLI
    • AWS SDK for C++
    • AWS SDK for Go
    • AWS SDK for Java
    • AWS SDK for JavaScript
    • AWS SDK for Kotlin
    • AWS SDK for .NET
    • AWS SDK for PHP
    • AWS SDK for Python (boto3)
  • Pricing policy
  • Access management
    • Overview
    • Sending a request
    • Errors
      • Create
      • GetAttributes
      • SetAttributes
      • List
      • Delete
    • Publish
  • Audit Trails events
  • Metrics Monitoring
  • Logs Cloud Logging
  • Release notes

In this article:

  • HTTP request
  • Query parameters
  • Response
  • Successful response
  • Error response
  1. API reference
  2. Endpoint
  3. Delete

DeleteEndpoint

Written by
Yandex Cloud
Updated at July 20, 2026
View in Markdown
  • HTTP request
    • Query parameters
  • Response
    • Successful response
    • Error response

Deletes an endpoint for push notifications.

HTTP requestHTTP request

POST https://notifications.yandexcloud.net/

Query parametersQuery parameters

Parameter Description
Action string
Required field.
Operation type parameter.
Value: DeleteEndpoint.
EndpointArn string
Required field.
Mobile endpoint ID (ARN).
Example: arn:aws:sns::aoegtvhtp8ob********:endpoint/GCM/test-cns-9990/4cbe148515360244248c993abe0a12884d162bb15e87d6c16bd0c810********.
ResponseFormat string
Response format.
The possible values are:
  • XML (default).
  • JSON.

ResponseResponse

Successful responseSuccessful response

If there are no errors, Cloud Notification Service returns the 200 HTTP code.

A successful response contains additional data in XML or JSON format depending on the specified ResponseFormat parameter.

Data schema:

XML
JSON
<?xml version="1.0" encoding="UTF-8"?>
<DeleteEndpointResponse>
    <ResponseMetadata>
  	  <RequestId>string</RequestId>
    </ResponseMetadata>
</DeleteEndpointResponse>
{
  "ResponseMetadata": {
    "RequestId": "string"
  }
}

Where RequestId is the request ID.

Error responseError response

In case of an error, Cloud Notification Service returns a message with the appropriate HTTP code.

For a list of common error codes for all actions, see Errors.

Useful linksUseful links

  • Yandex Cloud Notification Service HTTP API overview
  • Sending an HTTP API request to Yandex Cloud Notification Service
  • DeleteEndpoint API action in the AWS documentation

Was the article helpful?

Previous
List
Next
Create
© 2026 Direct Cursus Technology L.L.C.